Set permissions

PUT
/api/v1/projects/{id}/permissions

Set permissions for users or groups.

Authorization

auth ApiKey
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

In: header

X-API-KEY<token>

Internal API key for admin endpoints. Example: "X-API-KEY: {key}"

In: header

Path Parameters

id*string

The ID of the project to set permissions for.

Formatuuid

Request Body

application/json

The permissions request data containing members and permissions.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/permissions" \  -H "Content-Type: application/json" \  -d '{    "members": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "type": "string"      }    ],    "permissions": {}  }'
"string"